/Users/bernard/b20/bsoft/include/rwmgRELION.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwmgRELION.h - Header file for reading and writing micrograph parameters from and to the RELION STAR format.

SYNOPSIS

#include 'mg_processing.h'
#include 'rwstar.h'

  Functions
int read_project_relion (Bstring &filename, Bproject *project)
Reading micrograph parameters from a Relion file.
int write_project_relion (Bstring &filename, Bproject *project, int mg_select, int rec_select)
Writing micrograph parameters to a Relion file.
int project_split_particles (Bproject *project, Bstring partfile, Bstring path, Bstring partext)
Modifies some micrograph parameters.

Detailed Description

Header file for reading and writing micrograph parameters from and to the RELION STAR format.

Author:
    Bernard Heymann

Date:
    Created: 20061101

    Modified: 20180525

Definition in file rwmgRELION.h.

Function Documentation

  int project_split_particles (Bproject * project, Bstring partfile, Bstring path, Bstring partext)

Modifies some micrograph parameters.

Parameters:
    *project project structure.
    partfile Relion stack of particles file.
    path path to write new particle files.
    partext extension to set the new particle image format.

Returns:
    int error code (<0 means failure).

Definition at line 303 of file rwmgRELION.cpp.

  int read_project_relion (Bstring & filename, Bproject * project)

Reading micrograph parameters from a Relion file.

Parameters:
    &filename file name (or comma-delimited list).
    *project initialized project structure.

Returns:
    int error code (<0 means failure).

Definition at line 249 of file rwmgRELION.cpp.

  int write_project_relion (Bstring & filename, Bproject * project, int mg_select, int rec_select)

Writing micrograph parameters to a Relion file.

Parameters:
    *filename file name.
    *project project structure.
    mg_select flag to select micrograph.
    rec_select flag to select reconstruction.

Returns:
    int error code (<0 means failure).

Definition at line 277 of file rwmgRELION.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.